from celery import shared_task

from games.utils import import_gamelist_file_to_db_for_system, skyscrape_console


@shared_task
def update_roms(game_system_slugs: list, full_scan=False):
    import_dict = {"imported": 0, "not_imported": 0}
    for game_system_slug in game_system_slugs:
        skyscrape_console(game_system_slug)
        import_dict = import_gamelist_file_to_db_for_system(
            game_system_slug, full_scan=full_scan
        )
    print(import_dict)
